POST/categories/rules

Create Category Rule

Create a single category rule

Request Body

required
object

Create client category rule

descriptionrequiredstring

Description of the transaction rule.

categoryIdrequiredstring

Identifier of the category

transactionTypestring

Transaction type (DEBIT/CREDIT)

accountTypestring

Account type (CHECKING_ACCOUNT/CREDIT_CARD)

matchTypestring

Type of match used to identify the rule (exact/contains/startsWith/endsWith), if not provided, defaults to 'exact'

Example

json
{
  "description": "uber payment",
  "categoryId": "05000000",
  "transactionType": "DEBIT",
  "accountType": "CHECKING_ACCOUNT"
}

Responses

200Creates a Category Rule and recover the result
object

Category rule by client id

descriptionrequiredstring

Description of the transaction rule.

categoryIdstring

Identifier of the category

categoryrequiredstring

Description of the category

clientIdstring

Identifier of the client

transactionTypestring

Transaction type (DEBIT/CREDIT)

accountTypestring

Account type (CHECKING_ACCOUNT/CREDIT_CARD)

Example response

json
{
  "description": "uber payment",
  "category": "Salary/pro-labore",
  "categoryId": "05000000",
  "clientId": "03cc0eff-4ec5-495c-adb3-1ef9611624fc",
  "transactionType": "DEBIT",
  "accountType": "CHECKING_ACCOUNT"
}

Code Examples

bash
curl -X POST 'https://api.pluggy.ai/categories/rules' \
  -H 'Content-Type: application/json' \
  -H 'X-API-KEY: YOUR_API_KEY' \
  -d '{}'

Try It